/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.viewers.ColumnLabelProvider"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.common.Assert"); //$NON-NLS-1$

(function() {
	
var Assert			= com.ibm.team.apt.web.ui.internal.common.Assert;

dojo.declare("com.ibm.team.apt.web.ui.internal.viewers.ColumnLabelProvider", //$NON-NLS-1$
			 null, {

	// ---- api ------------------------------------------------------------------------------------------------------------
	
	getColumn: function(element, index) {
		Assert.isTrue(false, "Subclass needs to implement ColumnLabelProvider#getColumn") //$NON-NLS-1$ //$NON-NLS-2$
		return null; //$NON-NLS-1$
	},
	
	destroy: function() {
		//default does nothing
	},
	
	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

})();
