/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.ui.model.SecondaryLocationMarker"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.ui.model.LocationMarker"); //$NON-NLS-1$

(function() {
	
var LocationMarker					= com.ibm.team.apt.ui.model.LocationMarker;

dojo.declare("com.ibm.team.apt.ui.model.SecondaryLocationMarker", LocationMarker, { //$NON-NLS-1$
	
	__reason: null,

	constructor: function(reason) {
		this.__reason= reason;
	},
	
	//--- API --------------------------------------------------------------------------------------------------------------
	
	getLocationMessage: function() {
		return this.__reason;
	},

	__sentinel: null // terminates this class definition
});


})();
